# HtmlEscapeMode class

HTML escape modes.

Allows specifying a mode for HTML escaping that depend on the context where the escaped result is going to be used. The relevant contexts are:

- as text content of an HTML element.
- as value of a (single- or double-) quoted attribute value.

All modes require escaping of `&` (ampersand) characters, and may enable escaping of more characters.

Custom escape modes can be created using the HtmlEscapeMode.HtmlEscapeMode constructor.

## Constructors

HtmlEscapeMode({String name: "custom", bool escapeLtGt: false, bool escapeQuot: false, bool escapeApos: false, bool escapeSlash: false })
  Create a custom escaping mode. [...]
  const

## Properties

escapeApos → bool
  Whether to escape "'" (apostrophe).
  final
escapeLtGt → bool
  Whether to escape '<' and '>'.
  final
escapeQuot → bool
  Whether to escape '"' (quote).
  final
escapeSlash → bool
  Whether to escape "/" (forward slash, solidus). [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

attribute → const HtmlEscapeMode
  Escaping mode for text going into double-quoted HTML attribute values. [...]
  `const HtmlEscapeMode._('attribute', true, true, false, false)`
element → const HtmlEscapeMode
  Escaping mode for text going into HTML element content. [...]
  `const HtmlEscapeMode._('element', true, false, false, false)`
sqAttribute → const HtmlEscapeMode
  Escaping mode for text going into single-quoted HTML attribute values. [...]
  `const HtmlEscapeMode._('attribute', true, false, true, false)`
unknown → const HtmlEscapeMode
  Default escaping mode which escape all characters. [...]
  `const HtmlEscapeMode._('unknown', true, true, true, true)`